%define name webmin
%define version 1.121
%define release 4mdk
%define prefix %{_prefix}

Name: %{name}
Summary: An SSL web-based administration interface for Unix systems.
Version: %{version}
Release: %{release}
License: BSD
Group: System/Configuration/Other
URL: http://www.webmin.com/webmin/
Source0: http://heanet.dl.sourceforge.net/sourceforge/webadmin/%{name}-%{version}.tar.bz2
Source2: other.modules.tar.bz2
Source3: webmin-0.85-mdktheme.tar.bz2
Source4: webmin-postinstallscript.sh
Source5: webmin
Source6: webmin.initscript
Source9: http://www.niemueller.de/webmin/modules/freeswan/freeswan-0.83.1.wbm.bz2
Source10: webmin.pam
# (gc) have the updates; this needs to change for each version and/or release, see
#      http://www.webmin.com/webmin/updates.html
# (gc) -- 0 updates for 1.121 as of Thu Dec 11 20:31:17 2003 --
# Other Themes
Source51: http://www.gehrigal.de/download/webmin_theme/webmin-theme_gehrigal_0.16a.wbt
# the configurator for this theme
Source52: http://www.gehrigal.de/download/webmin_themeconfig/webmin_gehrigal-themeconfigurator_0.21a.wbm
# Other modules
Source54: http://cabal.virtual-net.fr/ldap/webmin/releases/openldap-0_6.wbm
Source55: http://www.bvan.f2s.com/ldap_groups_LDAPapi.wbm
Source56: http://www.bvan.f2s.com/ldap_browser_LDAPapi.wbm
Source57: http://prdownloads.sourceforge.net/netatalk/netatalk.wbm.bz2

Patch0: webmin-1.020-fix-configs.patch.bz2
Patch1: webmin-1.100-remove-atboot-problem.bz2
Patch4: webmin-fix-ssl.patch.bz2
Patch5: webmin-fix-newmods.patch.bz2
Patch7: webmin-0.85-never-fail-detect-os.patch.bz2
Patch8: webmin-0.85-enable-changed-theme-at-installation.patch.bz2
Patch9: webmin-1.100-env.patch.bz2
Patch13: webmin-openldap.patch.bz2
Patch15: webmin-fix-netatalk-paths.patch.bz2
Patch17: webmin-1.080-remove-mandrakestuff-from-init.patch.bz2
Patch19: webmin-0.92-add-default-configs-logviewer-fp2k.patch.bz2
Patch20: webmin-0.92-let-time-for-sshd-HUP.patch.bz2
Patch21: webmin-0.950-add-netsaint-mandrake-config.patch.bz2
Patch22: webmin-1.100-fix-logfile-location.patch.bz2
Patch23: webmin-1.020-ssl-location.patch.bz2
Patch24: webmin-1.020-suppress-missing-netatalk-interfaces.patch.bz2
Patch26: webmin-1.060-mysql-fix-installing-missing-packages.patch.bz2
Patch29: webmin-1.100-let-localauth-config.patch.bz2
Patch30: webmin-1.121-ypserv.patch.bz2
Patch31: webmin-1.121-add-mdk-10.patch.bz2
Patch32: webmin-1.121-usermin-fix-installing-missing-package.patch.bz2

PreReq: rpm-helper
Requires: perl perl-CGI lsof
PreReq: sed chkconfig findutils fileutils initscripts grep perl-Net_SSLeay perl-Authen-PAM
Provides: %{name}-%{version}
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
AutoReq: false

%description
A web-based administration interface for Unix systems. Using Webmin you
can configure DNS, Samba, NFS, local/remote filesystems, Apache,
Sendmail/Postfix, and more using your web browser.

After installation, enter the URL https://localhost:10000/ into your
browser and login as root with your root password. Please consider logging
in and modify your password for security issue.

PLEASE NOTE THAT THIS VERSION NOW USES SECURE WEB TRANSACTIONS: YOU HAVE
TO LOGIN TO "https://localhost:10000/" AND NOT "http://localhost:10000/".

%prep
%setup -q -a 2 -a 3 -a 51 -a 52 -a 54 -a 55 -a 56 -a 57
rm -fr %{name}-%{version}/dhcpd
rm -fr %{name}-%{version}/useradmin
%setup -q -D -T -c -a 9 -n %{name}-%{version}
%patch0 -p0
%patch1 -p1
%patch4 -p0
%patch5 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch13 -p0
%patch15 -p0
%patch17 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p1
%patch24 -p1
%patch26 -p0
%patch29 -p1
%patch30 -p1
%patch31 -p0
%patch32 -p0
for i in */config-mandrake-linux-8.2; do n=`echo $i | perl -pe 's/...$/9.0/'`; [ -e $n ] || cp $i $n; done
for i in */config-mandrake-linux-9.0; do n=`echo $i | perl -pe 's/...$/9.1/'`; [ -e $n ] || cp $i $n; done
for i in */config-mandrake-linux-9.1; do n=`echo $i | perl -pe 's/...$/9.2/'`; [ -e $n ] || cp $i $n; done
for i in */config-mandrake-linux-9.2; do n=`echo $i | perl -pe 's/...$/10.0/'`; [ -e $n ] || cp $i $n; done
for i in bind8/*; do perl -pi -e 's|/var/run/named\.pid|/var/run/named/named.pid|' $i; done

# force theme to blue
( cd theme_gehrigal; sh change_skin_blue.sh )

perl -pi -e 's|redhat-linux(?! mandrake-linux)|redhat-linux mandrake-linux| if $_ =~ /^os_support.*redhat-linux/ && $_ !~ /mandrake-linux/' */module.info

(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts-*
rm -f mount/openbsd-mounts-*

find -name ".xvpics" -o -name ".*.swp" | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT

# IMPORTANT: there is no %{_datadir} and so on, since the directories are decided by the post install script.
mkdir -p $RPM_BUILD_ROOT/usr/share/webmin
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/usr/bin

find -type f | xargs chmod a+r
find -type d | xargs chmod a+rx

# (gc) remove ldap module, we don't have perl modules to make it work
rm -rf ldap

cp -a * $RPM_BUILD_ROOT/usr/share/webmin
install -m755 %{SOURCE6} $RPM_BUILD_ROOT/%{_initrddir}/webmin
install -m755 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/webmin/postinstall.sh
install -m755 %{SOURCE5} $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
install -m755 %{SOURCE10} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/webmin

rm -rf $RPM_BUILD_ROOT/usr/share/webmin/*/{CVS,*/CVS}
rm -f `find $RPM_BUILD_ROOT -type f -name .cvsignore`

# (gc) remove zero-length files (to check sometimes if they are still zero-length'ed)
for i in /usr/share/webmin/caldera/images/letters/254.gif /usr/share/webmin/i4lctrl-0.6.7/lang/de /usr/share/webmin/caldera/images/letters/255.gif; do
		rm $RPM_BUILD_ROOT$i
done

echo "rpm" > $RPM_BUILD_ROOT/usr/share/webmin/install-type

# fix SSL cert location
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ssl/webmin
mv -f $RPM_BUILD_ROOT%{_datadir}/webmin/miniserv.pem \
  $RPM_BUILD_ROOT%{_sysconfdir}/ssl/webmin

# (sb) remove development file
rm -f $RPM_BUILD_ROOT/usr/share/webmin/mount/macos-mounts.c

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" != 0 ]; then
    service webmin status >/dev/null 2>/dev/null && need_restart=1
    service webmin stop >/dev/null 2>/dev/null
fi
/usr/share/webmin/postinstall.sh
%_post_service webmin
[[ -n $need_restart ]] && service webmin start >/dev/null 2>/dev/null || :

%preun
%_preun_service webmin

%postun
if [ "$1" = 0 ]; then
	grep root=/usr/share/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	rm -rf /etc/webmin /var/webmin /var/lib/webmin /var/run/webmin /var/log/webmin
fi

%files
%defattr(-, root, root, 0755)
%doc README LICENCE
%config(noreplace) %{_initrddir}/webmin
%config(noreplace) %{_sysconfdir}/pam.d/webmin
/usr/share/webmin
/usr/bin/%{name}
%dir %{_sysconfdir}/ssl/webmin
%config(noreplace) %{_sysconfdir}/ssl/webmin/miniserv.pem

%changelog
* Fri Feb 27 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.121-4mdk
- Patch32: don't allow installing usermin RPM package from webmin.com
  it won't work anyway (first seen in #8459)

* Tue Feb 24 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.121-3mdk
- allow Mandrake-10.0 version (#8297)

* Tue Jan 13 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.121-2mdk
- allow to configure a NIS server with only ypserv installed (patch30)

* Thu Dec 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.121-1mdk
- new version

* Fri Dec  5 2003 Daouda LO <daouda@mandrakesoft.com> 1.100-4mdk
- Allow login without password for matching users (root) from 
  localhost (mdkwebadmin)

* Thu Oct  9 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.100-3mdk
- rebuild against new pam

* Thu Aug 28 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.100-2mdk
- 8 updates for 1.100 so far

* Mon Jul  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.100-1mdk
- new version (no updates at that time)

* Thu May 15 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.090-1mdk
- new version
- 3 updates at that time

* Tue Apr 29 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.080-3mdk
- #3843 (disable "ldap" module since it needs unexistent perl modules)
- one new update

* Fri Apr 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.080-2mdk
- #3576
- #3687
- one new update

* Thu Apr 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.080-1mdk
- new version
- 4 updates
- allow Mandrake-9.2 versions

* Thu Feb 27 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.070-1mdk
- new version (fixes a security hole, please upgrade)
- 4 updates

* Mon Feb 17 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.060-3mdk
- don't forget to copy mandrake 8.2 or 9.0 specific config files to
  version 9.1 (#1693)

* Sun Feb 16 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.060-2mdk
- Patch26: add mysql-fix-installing-missing-packages (#1689)

* Thu Feb 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.060-1mdk
- 1.060
- 2 updates
- add Mandrake 9.1

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.050-2mdk
- hide Nick Brown's email address in this changelog, per his request
- 5 more updates

* Thu Jan  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.050-1mdk
- 1.050
- 9 updates
- remove niemueller theme per request of Austin Acton <aacton@YorkU.CA>

* Fri Dec 13 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.030-1mdk
- 1.030
- 6 updates

* Sat Nov 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.020-2mdk
- rework patch15 /etc/atalk -> /etc/netatalk
- suppress missing interfaces.cgi in netatalk module (patch24)
- remove macos-mounts.c

* Tue Oct  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.020-1mdk
- new version
- bind8 patch now done by a perl substitution

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.990-6mdk
- two more official updates for 0.990

* Wed Aug 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.990-5mdk
- two more updates (postgresql, majordomo)

* Tue Aug  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.990-4mdk
- include seemingly important 5th update to 0.990

* Fri Aug  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.990-3mdk
- add support for upcoming Mandrake 9.0 (patch #24 for os_list, call in
  the %%prep step to copy 8.2 configs to 9.0)

* Thu Jul 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.990-2mdk
- remove .xvpics directories
- include 3 new 0.990 updates

* Fri Jul  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.990-1mdk
- new version (port a few patches)

* Wed Jul 03 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.980-3mdk
- miniserv.pem belongs in /etc/ssl/webmin

* Fri Jun 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.980-2mdk
- fix logs needs to go to /var/log/webmin, not /var/run/webmin, thx to
  Alexander Skwar
- include 5th update for 0.980 (samba module)

* Fri Jun  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.980-1mdk
- new version

* Wed May  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.970-1mdk
- new version (fixes a security hole, please upgrade)

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.960-1mdk
- new version

* Sun Mar 31 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.950-1mdk
- new version
- fix default config of Netsaint thx to Nick Brown <nicbrown at cisco dot com>

* Fri Mar 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.94-1mdk
- new version
  - Mandrake 8.2 stuff integrated upstream
  - deprecated CheckMail in sshd handled upstream

* Wed Mar 20 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.93-1mdk
- new version
  - at last seems to integrate a fix in http stuff so that https with
    mozilla is possible (was in mandrake package since 0.87...)
  - 7 updates already available

* Mon Feb 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-10mdk
- update SquidGuard module to latest version, thx Sylvestre Taburet
  <sylvestre.taburet@free.fr>

* Mon Feb 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-9mdk
- patch 18: disable CheckMail in sshd module, thx Jeremy Salch
  <salch@granbury.com>
- have post install script start again service
- patch 19: have a default config file for logviewer and fp2k
  modules, thx Ted Stephens <tls@columbus.rr.com>
- patch 20: let a couple of seconds to sshd when HUP'ing, so that
  webmin don't wrongly thinks the server unexpectedly stopped

* Mon Feb 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-8mdk
- add 11th update

* Tue Feb 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-7mdk
- add patch 17 to not show /etc/init.d/mandrake* stuff from "Bootup
  and Shutdown" category

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-6mdk
- bind8: s|/var/run/named.pid|/var/run/named/named.pid|g, following
  suggestion by Arnaud de Lorbeau <adelorbeau@mandrakesoft.com>

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-5mdk
- add 7th-10th updates

* Mon Feb  4 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-4mdk
- patch netatalk config to match default netatalk package config
- add 6th update available at webmin.com

* Sun Feb  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-3mdk
- add netatalk module (v0.9BETA) to please claudio ;p
- add the 5th update available at webmin.com

* Fri Feb  1 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-2mdk
- use the 4 updates available on webmin.com

* Thu Jan 24 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-1mdk
- new version
- prepare for mandrake release 8.2 [patch #14]

* Tue Dec 18 2001 Philippe Libat <philippe@mandrakesoft.com> 0.91-3mdk
- add ldap_browser ldap_clients modules

* Tue Dec 18 2001 Philippe Libat <philippe@mandrakesoft.com> 0.91-2mdk
- add openldap server modules

* Fri Dec  7 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.91-1mdk
- new version

* Mon Nov 19 2001 Philippe Libat <philippe@mandrakesoft.com> 0.90-2mdk
- add new themes (theme_gehrigal,niemueller)

* Fri Nov  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.90-1mdk
- new version
- use 0.90 modules updates :
  - Webmin Servers Index (servers-0.90-1.wbm.gz)
- fix zero-length problems
- put "rpm" in install-type

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.88-5mdk
- really "don't ship .cvsignore files"

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.88-4mdk
- don't ship .cvsignore files

* Wed Oct  3 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.88-3mdk
- have pidfile in /var/run/webmin and reflect that in initscript
  (bug #5580, thanks to bill@shirleyfamily.net)

* Tue Oct  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.88-2mdk
- have converting of password (passwd -> samba) ignore a bunch of more
  users (Yura Gusev <elendal@w4technology.com> and Sylvestre Taburet
  <staburet@mandrakesoft.com>)
- remove unused config patch on samba and mysql modules

* Fri Sep 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.88-1mdk
- new version

* Fri Sep 07 2001 Florin <florin@mandrakesoft.com> 0.87-4mdk
- add the squidguard module
- noreplace for the initscript

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.87-3mdk
- fix file permissions

* Wed Aug 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.87-2mdk
- author a patch on miniserv.pl to fix mozilla/curl/etc login
- remove -b option to patches so that we don't end up distributing
  files and their originally unpatched files counterparts
- use PAM for authentication, so simplify post_install stuff
- have to remove config-noreplace on the initscript since this fscking
  rpm seems silly about it (wants to save the old one as if user
  modified it) and I don't understand why :-(

* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.87-1mdk
- new version
- complies with upcoming Mandrake-8.1 featuring samba config
  files in /etc/samba

* Fri Jun 15 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.86-2mdk
- security patch to fix environment leaking
- test for /etc/webmin during postin so we don't get errors if webmin
  hasn't been used before upgrade

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.86-1mdk
- version 0.86

* Mon May 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-4mdk
- use a better /usr/bin/webmin thanks to Daouda

* Wed May  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-3mdk
- fix default printer config -> cups

* Mon Apr 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-2mdk
- requires lsof
- modifies initscript so that run of postinstall script will not fail
  if previous Webmin is still running

* Wed Apr 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-1mdk
- 0.85
- have a fallback when the OS is not detected
- write Mandrake config files for Webmin so that downloads from
  official website will not result in a too broken Webmin
- use our mdk icons as a Theme, per request of Webmin author

* Wed Apr 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.84-7mdk
- fix requires on perl-CGI

* Wed Apr 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.84-6mdk
- fix default config of MySQL

* Mon Apr  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.84-5mdk
- back in Linux-Mandrake 8.0 being compat with Redhat 7.0
- some fixes after bugreports from james@papaya.altamente.com
- some more default config fixes

* Thu Mar 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.84-4mdk
- use post/preun service macros

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.84-3mdk
- add freeswan module for chmouel

* Mon Feb 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.84-2mdk
- PreReq perl-SSL to avoid some potential problems
- have Linux-Mandrake-8.0 in list of known OS'es
- try to print a better error message in case of failing postinstall
  script

* Thu Jan 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.84-1mdk
- 0.84

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.83-2mdk
- took SRPM from Alexander Skwar <ASkwar@Linux-Mandrake.com>
  - Added a patch to the oslist, so that it works on the upcoming 7.3
    release of Mandrake
  - Applied the updates to webmin 0.83 listed on
    http://www.webmin.com/webmin/updates.html :
    - dhcpd: Hosts inside subnets are not being displayed properly in 
      some cases.
    - useradmin: New or modified users are having their primary group
      set to something wrong, such as bin.

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.83-1mdk
- 0.83

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.82-2mdk
- add reload entry in initscript

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.82-1mdk
- 0.82

* Thu Oct 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-1mdk
- 0.81

* Mon Oct  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-19mdk
- don't start in %post this is not the policy

* Wed Oct  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-18mdk
- fix run of post_install script according to initscripts
- try to fix the upgrade

* Tue Oct  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-17mdk
- remove cvs-internal-file in vacationadm, florin sucks

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 0.80-16mdk
- a typo error
- deletes /var/log/webmin along with the other directories

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 0.80-15mdk
- modify the postscript to create log files in /var/log instead of /root/tmp
- merged the postfix module to the other.modules.tar.bz2

* Mon Sep 25 2000 Florin Grad <florin@mandrakesoft.com> 0.80-14mdk
- added some third party modules:
- ssh applet, nettools, ipchains, netsaint, front page modules, vnc, IMAP, qmail,
- upload, batch-dns, batch-apache, isdn-status, backup, cdbackup, logviewer, calamaris,
- kannel, vacation admin, autorpm, ldap

* Sun Sep 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-13mdk
- change %description in order to strongly precise that this an SSL
  version because no one RTFM otherwise..

* Fri Sep 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-12mdk
- move log files from /tmp to /root/tmp for security issue, thx to Pixel

* Tue Sep  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-11mdk
- added Mandrake Linux 7.2 in list of supported OS
- is now secured through SSL connection

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-10mdk
- use %{_initrddir}
- %config(noreplace)
- better initscript

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-9mdk
- forgot to include the patch for initscript!! :-((

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-8mdk
- improved initscript to better comply to standards

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-7mdk
- automatically added packager tag

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-6mdk
- BM

* Tue Jun 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-5mdk
- now uses 0.80 final of Webmin

* Wed May 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-4mdk
- more bugfixes in postfix module, after bugreports by Charles

* Sat May 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-3mdk
- small bugfix in postfix module

* Thu May 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-2mdk
- patched "os_list.txt" to add the dectection of Linux Mandrake
  Corporate Server 1.0 and Linux Mandrake 7.1
- patched the post-install script which said "Mandrake 7.0" all
  the time if Webmin was installed during system install

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-1mdk
- upgrade to 0.80 beta with the kind help of Jamie, because of
  incompatibility between 0.79 and perl 5.6

* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-5mdk
- updated postfix-mdkmodule so that it tests if postfix is running
  in a more portable way [uses kill -0 <pid>]
- updated install style so that it adds to the runlevel information
  at install time; thus it's okay now to select/deselect it in DrakX

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-4mdk
- fixed the hang of post install at boot time [grr]

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-3mdk
- fixed very bad security issue concerning exec of script during
  install
- added small executable to tell people that they have to connect
  through their web browser

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-2mdk
- fixed missing LICENCE file

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-1mdk
- 0.79
- updated postfix-mdkmodule with bugfixes and other stuff
- mdkicons now have a copyright

* Thu Apr  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-2mdk
- Updated Mandrake Icons
- Updated `PreRequires', and fixed the problem of /etc/issue,
  in order to not fail in install

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-1mdk
- Mandrake Icons

* Fri Mar 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-0.4mdk
- v0.78
- Postfix Module
- cleanup and debug of specfile with help of Chmouel :-)

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.77
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.77
- updated specfile based on the webmin source RPM (newly released, nice
  changes!)
- included the 0.73 ocstheme again (does anyone know of an update to this?)

* Thu Jan 13 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.76

* Wed Dec 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Dec 5 1999 Vincent Danen <vdanen@linux-mandrake.com>
- built specfile for Mandrake contribs
- based loosely on Leon Breedt's <leon@obsidian.co.za> SRPM for 0.73
- webmin-install.sh is now a source package, not built from patch
- bzip sources
